# List Agreements List Agreements for the profile associated with the authenticated merchant. ## Request ```curl curl https://api.stripe.com/v2/orchestrated_commerce/agreements \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-05-27.preview" ``` ### Response ```json { "data": [ { "id": "orca_test_1gkgAw3x8N9UarRebDtOBtdk", "object": "v2.orchestrated_commerce.agreement", "created": "2026-04-06T10:00:00Z", "initiated_by": "seller", "orchestrator_details": { "network_business_profile": "profile_test_61U92KWAstyE3VYhXA6U91t01FSQ3ByrZzKJOCR0y5ey", "name": "Test Agent" }, "seller_details": { "network_business_profile": "profile_test_61UQtAVw2yEA80y4mA6UQtAVBKSQt4084jw8nwJXUUdk" }, "status": "confirmed", "status_transitions": { "seller_confirmed_at": "2026-04-06T10:00:00Z", "orchestrator_confirmed_at": "2026-04-06T10:05:00Z", "terminated_at": null }, "terminated_by": null } ], "next_page_url": null, "previous_page_url": null } ``` ## Parameters - `limit` (integer, optional) The limit for the number of results per page. - `network_business_profile` (string, optional) Filter list to Orchestrated Commerce Agreements with a specific counterparty. - `page` (string, optional) The page token for pagination. ## Returns ## Response attributes - `data` (array of objects) An array containing the actual response elements, paginated by any request parameters. - `data.id` (string) The unique identifier for the agreement. - `data.object` (string, value is "v2.orchestrated_commerce.agreement") String representing the object’s type. Objects of the same type share the same value of the object field. - `data.created` (timestamp) The time at which the agreement was created. - `data.initiated_by` (enum) The party that initiated the agreement. Possible enum values: - `orchestrator` The orchestrator/agent. - `seller` The seller/merchant. - `data.livemode` (boolean) Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode. - `data.orchestrator_details` (object) Details about the orchestrator. - `data.orchestrator_details.name` (string) The name of the orchestrator. This can be the name of the agent or the name of the business. - `data.orchestrator_details.network_business_profile` (string) The Network ID of the orchestrator. - `data.seller_details` (object) Details about the seller. - `data.seller_details.network_business_profile` (string) The Network ID of the seller. - `data.status` (enum) The current status of the agreement. Possible enum values: - `confirmed` Both parties have confirmed the agreement. - `initiated` The agreement has been created and is awaiting confirmation from both parties. - `partially_confirmed` One party has confirmed the agreement and the other has not yet confirmed. - `terminated` The agreement has been terminated by one of the parties. - `data.status_transitions` (object) Timestamps of key status transitions for the agreement. - `data.status_transitions.orchestrator_confirmed_at` (timestamp, nullable) The time at which the orchestrator confirmed the agreement. - `data.status_transitions.seller_confirmed_at` (timestamp, nullable) The time at which the seller confirmed the agreement. - `data.status_transitions.terminated_at` (timestamp, nullable) The time at which the agreement was terminated. - `data.terminated_by` (enum, nullable) The party that terminated the agreement, if applicable. Possible enum values: - `orchestrator` The orchestrator/agent. - `seller` The seller/merchant. - `next_page_url` (string, nullable) URL to fetch the next page of the list. If there are no more pages, the value is null. - `previous_page_url` (string, nullable) URL to fetch the previous page of the list. If there are no previous pages, the value is null. ## Error Codes | HTTP status code | Code | Description | | ---------------- | --------------------------------- | ----------------------------------------------------------------------------------- | | 400 | network_business_profile_required | The authenticated party making the request does not have a Stripe business profile. |